<template>
  <div class="row justify-content-center">
    <div class="col-8">
      <div v-if="iPS">
        <h2 class="jh-entity-heading" data-cy="iPSDetailsHeading">
          <span v-text="$t('gatewayApp.pacientesIPs.detail.title')">IPS</span> {{ iPS.id }}
        </h2>
        <dl class="row jh-entity-details">
          <dt>
            <span v-text="$t('gatewayApp.pacientesIPs.nombre')">Nombre</span>
          </dt>
          <dd>
            <span>{{ iPS.nombre }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.pacientesIPs.nit')">Nit</span>
          </dt>
          <dd>
            <span>{{ iPS.nit }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.pacientesIPs.direccion')">Direccion</span>
          </dt>
          <dd>
            <span>{{ iPS.direccion }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.pacientesIPs.telefono')">Telefono</span>
          </dt>
          <dd>
            <span>{{ iPS.telefono }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.pacientesIPs.correoElectronico')">Correo Electronico</span>
          </dt>
          <dd>
            <span>{{ iPS.correoElectronico }}</span>
          </dd>
        </dl>
        <button type="submit" v-on:click.prevent="previousState()" class="btn btn-info" data-cy="entityDetailsBackButton">
          <font-awesome-icon icon="arrow-left"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.back')"> Back</span>
        </button>
        <router-link v-if="iPS.id" :to="{ name: 'IPSEdit', params: { iPSId: iPS.id } }" custom v-slot="{ navigate }">
          <button @click="navigate" class="btn btn-primary">
            <font-awesome-icon icon="pencil-alt"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.edit')"> Edit</span>
          </button>
        </router-link>
      </div>
    </div>
  </div>
</template>

<script lang="ts" src="./ips-details.component.ts"></script>
